# Class BasisFunctionReader.MOEnergySorter

java.lang.Object
org.jmol.adapter.readers.quantum.BasisFunctionReader.MOEnergySorter

All Implemented Interfaces:
  `Comparator<Object>`

Enclosing class:
  `BasisFunctionReader`

public class BasisFunctionReader.MOEnergySorter extends Object implements Comparator<Object>

Author:
  hansonr invalid input: '<'hansonr@stolaf.edu>

## Constructor Summary

Constructors
Constructor
Description
`MOEnergySorter()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object a, Object b)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### MOEnergySorter

public MOEnergySorter()

## Method Details

### compare

public int compare(Object a, Object b)

Specified by:
  `compare` in interface `Comparator<Object>`